<?php

function star_addScripts(){
    
    wp_register_script('star_mainScript',plugins_url(). "/starboxnew/view/assets/js/settings.js", array('jquery'), '1.0.0', true);
    wp_enqueue_script('star_mainScript');
  
    
}
add_action("admin_enqueue_scripts","star_addScripts");